#
# DecoMecha - diving decompression library.
#
# Copyright (C) 2013 by Artur Wroblewski <wrobell@pld-linux.org>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

"""
The libdeco-ostc project decompression sanity unit tests.

A sanity unit test creates two dives

- first dive should be more demanding in terms of decompression (i.e. air
  only)
- second dive should be less demanding in terms of decompression (i.e.
  air + EAN50)

Then, the test runs decompression calculation for the two dives
and verifies if deco obligation of first dive is more demanding comparing
to the second dive.

A sanity test should focus on testing one thing only. For example, if
testing two dives with different gas lists, then keep maximum depths and
dive times the same.

This is still bit experimental 

1. A test has to create two dives, which are not too far apart in terms of
   length of decompression stops, so a bug in decompression routines can be
   detected.
2. On other side, the dives has to be different enough to distinguish
   between them. 

Balance between two points above has to be found.
"""

# vim: sw=4:et:ai
